<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>nginx代理跨域-VUE</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<script>
 var express = require('express');
var proxy = require('http-proxy-middleware');
 var app = express();
  app.use('/', proxy({
// 代理跨域目标接口
  target: 'http://www.domain2.com:8080',
  changeOrigin: true,
 // 修改响应头信息，实现跨域并允许带cookie
  onProxyRes: function(proxyRes, req, res) {
  res.header('Access-Control-Allow-Origin', 'http://www.domain1.com');
 res.header('Access-Control-Allow-Credentials', 'true');
  },
 // 修改响应信息中的cookie域名
  cookieDomainRewrite: 'www.domain1.com'  // 可以为false，表示不修改
}));
  app.listen(3000);
  console.log('Proxy server is listen at port 3000...');


</script>
 </body>
</html>